<?php 
header("Access-Control-Allow-Origin: *");
header("Content-Type:application/json; charset=UTF-8");
header("Access-Control-Allow-Methods:POST");
header("Access-Control-Max-Age:3600");
header("Access-Control-Allow-Headers:Content-Type,Access-Control-Allow-Headers,Authorization,X-Requested-With");

include_once '../Database.php';
include_once 'cliente.php';

$database = new DataBase();
$db = $database->getConnection();

$client = new CLIENTE($db);
try{
	$data = json_decode(file_get_contents("php://input"));
	
	$hoy = date('Y-m-d');
	$licencia=date('Y-m-d',strtotime($hoy."+3 days"));
	$query = "INSERT INTO ".$client->table_name." SET nombre=:nombre,correo=:correo,pass=SHA(:password),usuario=:usuario";
	$stm = $client->conn->prepare($query);
	$stm->bindParam(":nombre",$data->nombre);
	$stm->bindParam(":correo",$data->correo);
	$stm->bindParam(":password",$data->pass);
	$stm->bindParam(":usuario",$data->usuario);
	$stmt = $client->Insert($stm);
	if($stmt !==false){
		echo json_encode(array("Id"=>$stmt));
	}else{
		echo json_encode(array("Error"=>"No se ha creado el registro"));
	}
}catch(Exception $ex){
	echo json_encode(array("Error"=>"No se ha podido procesar la solicitud"));
}

?>